# RKHunter package, files and first run exec
class rkhunter::packages
{
  package
  {
    'rkhunter':
      ensure => installed,
      name   => $::rkhunter::params::package_name,
  }

  file
  {
    '/usr/local/bin/rktask':
      ensure => present,
      mode   => '0755',
      source => 'puppet:///modules/rkhunter/rktask',
  }

  exec
  {
    'propupd_at_install':
      command   => '/usr/bin/rkhunter --propupd',
      unless    =>
      [
        '/usr/bin/test -f /var/lib/rkhunter/db/rkhunter_prop_list.dat',
      ],
      subscribe => Package['rkhunter'],
  }
}
